#ifndef __C_OCTEON_H__
#define __C_OCTEON_H__

extern int register_co_cache_error_notifier(struct notifier_block *nb);
extern int unregister_co_cache_error_notifier(struct notifier_block *nb);
extern void cache_parity_error_octeon_recoverable(void);
extern void cache_parity_error_octeon_non_recoverable(void);

#endif
